<?xml version="1.0" encoding="utf-8" ?>
<xsd:schema id="AttributeDocumentExt"
                  targetNamespace="http://www.microsoft.com/ComputeCluster/HPCProfile"
                  elementFormDefault="qualified"
                  xmlns:bes-factory="http://schemas.ggf.org/bes/2006/08/bes-factory"
                  xmlns="http://www.microsoft.com/ComputeCluster/HPCProfile"
                  xmlns:xsd="http://www.w3.org/2001/XMLSchema">
	<xsd:import
      namespace="http://schemas.ggf.org/bes/2006/08/bes-factory"
      schemaLocation="./bes-factory.xsd"/>


  <xsd:complexType name="AttributeDocumentExtensionType">
    <xsd:sequence>
      <xsd:element name="TotalNumberOfFreeContainedResources" type="xsd:double" minOccurs="0"/>
    </xsd:sequence>
    <xsd:anyAttribute namespace="##other" processContents="lax"/>
  </xsd:complexType>
  <xsd:element name="AttributeDocumentExtension" type="AttributeDocumentExtensionType" />
  
  <xsd:complexType name="ActivityFilterType">
    <xsd:sequence>
      <xsd:element name="Status" type="bes-factory:ActivityStateEnumeration" minOccurs="0"/>
      <xsd:element name="User" type="xsd:string" minOccurs="0"/>
    </xsd:sequence>
    <xsd:anyAttribute namespace="##other" processContents="lax"/>
  </xsd:complexType>
  <xsd:element name="ActivityFilter" type="ActivityFilterType" />
 
</xsd:schema>
